local function get_player_config(player)
	local name = player.name
	local global = global
	ret = global[name]
	if not ret then
		ret = {}
		global[name] = ret
	end
	if not ret.items then
		ret.items = {}
	end
	return ret
end



-- ############
-- ### MENU ###
-- ############

local function update_table(tbl,lst)
	for itm,dat in pairs(lst) do
		local elem

--		elem = tbl["itm-"..tostring(itm)]
--		if not elem or not elem.valid then
--			elem = tbl.add{
--				type = "table",
--				name = "itm-"..tostring(itm),
--				colspan = 5,
--			}
--		end

--		local tbl = tbl.add{
--			type = "table",
--			name = "tbl-items",
--			colspan = 5,
--		}
	end
end

local function open_window(player)
	local gui_root = player.gui.left
	local wnd = gui_root.sbCrafty
	if wnd and wnd.valid then
		wnd.destroy()
		return
	end

	local cfg = get_player_config(player)

	local row
	wnd = gui_root.add{
			type = "frame",
			name = "sbCrafty",
			direction = "vertical",
		}

	local tbl = wnd.add{
		type = "table",
		name = "item_table",
		colspan = 4,
	}

	local row = wnd.add{
		type = "flow",
		name = "row-with-add",
		direction = "horizontal",
	}
	row.add{
		type = "choose-elem-button",
		style = "slot_button_style",
		name = "sbCrafty-item-select",
		elem_type = "item",
	}
	row.add{
		type = "sprite-button",
		style = "mod_gui_button_style",
		name = "sbCrafty-add-btn",
		sprite = "utility/confirm_slot",
		tooltip = {"sbCrafty-add-btn"},
	}

	wnd.add{
		type = "label",
		name = "lbl-test",
		caption = "TEST",
		single_line = false,
		want_ellipsis = false,
	}

	return update_table(tbl,cfg.items)
end



-- ##############
-- ### EVENTS ###
-- ##############

script.on_event("sbCrafty-openGui", function(event)
--	local out = game.print
--	out("event:")
--	for k,v in pairs(event) do
--		out("> "..tostring(k).." = "..tostring(v))
--	end

	return open_window(game.players[event.player_index])
end)

script.on_event(defines.events.on_gui_click, function(event)
	local out = "event:"
	for k,v in pairs(event) do
		out = out.."\n> "..tostring(k).." = "..tostring(v)
	end
	game.players[event.player_index].gui.left.sbCrafty["lbl-test"].caption = out
end)